%define _name liba52

Name: a52dec
Version: 0.7.4
Release: alt3

Summary: Library for decoding ATSC A/52 streams
Group: Sound
License: GPL
Url: http://%_name.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/files/%name-%version.tar.gz
Requires: %_name = %version-%release

BuildPreReq: libtool_1.4

# Automatically added by buildreq on Sun Oct 13 2002
BuildRequires: glibc-devel-static

%description
liba52 is a free library for decoding ATSC A/52 streams. It is released
under the terms of the GPL license. The A/52 standard is used in a
variety of applications, including digital television and DVD. It is
also known as AC-3.

a52dec is a test program for liba52. It decodes ATSC A/52 streams, and
also includes a demultiplexer for mpeg-1 and mpeg-2 program streams.

%package -n %_name
Summary: %_name shared libraries
Group: System/Libraries

%description -n %_name
This package contains shared version of %_name.

%package -n %_name-devel
Summary: %_name header files and development libraries
Group: Development/C
Requires: %_name = %version-%release

%description -n %_name-devel
Header files and development libraries for %_name.

%package -n %_name-devel-static
Summary: %_name static libraries
Group: Development/C
Requires: %_name-devel = %version-%release

%description -n %_name-devel-static
Static version of %_name libraries.

%prep
%setup -q

%build
%set_libtool_version 1.4
%add_optflags %optflags_shared

%configure --enable-shared
%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post -n %_name -p %post_ldconfig
%postun -n %_name -p %postun_ldconfig

%files
%_bindir/*
%_man1dir/*
%doc README ChangeLog AUTHORS HISTORY TODO

%files -n %_name
%_libdir/*.so.*

%files -n %_name-devel
%_bindir/*
%_includedir/*
%_libdir/*.so
%doc doc/%_name.txt

%files -n %_name-devel-static
%_libdir/*.a

%changelog
* Fri Nov 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.4-alt3
- use libtool-1.4
- do not package .la files.
- fix TEXTREL bug.

* Sun Oct 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.4-alt2
- Rebuild with gcc-3.2. 

* Tue Aug 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.4-alt1
- 0.7.4

* Thu Apr 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.3-alt1
- First build for Sisyphus.
